# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.660.1.12 -> 1.660.1.13
#	drivers/usb/host/hc_sl811.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/30	randy.dunlap@verizon.net	1.660.1.13
# [PATCH] hc_sl811 build and memory leak
# 
# It needs s/malloc.h/slab.h/ .
# It also forgets to free some memory on an error exit patch.
# Patch for 2.5.39 follows.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/hc_sl811.c b/drivers/usb/host/hc_sl811.c
--- a/drivers/usb/host/hc_sl811.c	Mon Sep 30 17:23:40 2002
+++ b/drivers/usb/host/hc_sl811.c	Mon Sep 30 17:23:40 2002
@@ -28,7 +28,7 @@
 #include <linux/kernel.h>
 #include <linux/delay.h>
 #include <linux/sched.h>
-#include <linux/malloc.h>
+#include <linux/slab.h>
 #include <linux/errno.h>
 #include <linux/init.h>
 #include <linux/smp_lock.h>
@@ -1158,6 +1158,7 @@
 	bus = usb_alloc_bus (&hci_device_operations);
 	if (!bus) {
 		kfree (hci);
+		kfree (ps);
 		return NULL;
 	}
 
